sysutils/ros2cli

ROS2 command line interface tools
Directory:
sysutils/ros2cli (package's history)
Package version:
ros2cli-0.18.3
Home page:
https://github.com/ros2cli/
License:
apache-2.0
Source archive:
-https://github.com/ros2/ros2cli/archive/0.18.3.tar.gzros2cli-0.18.3.tar.gz
Description:
This package contains the source code for ROS2 command line interface tools included with a standard install of any ROS 2 distro. Run ros2 --help to see all available commands. Run ros2 --help for more information on individual command usage. Run ros2 --help for even more usage information on a specific command's verbs.
Run dependencies:
ament-index>=0, fastcdr>=1, fastrtps>=1, libstdc++, py36-ament-package>=0, py36-argcomplete, py36-importlib-metadata, py36-importlib-resources, py36-netifaces, py36-numpy>=1, py36-packaging, py36-ros2-rpyutils>=0, py36-rosdistro>=0.2.9, py36-setuptools, ros2-libstatistics-collector>=0, ros2-rcl>=0, ros2-rcl-interfaces>=0, ros2-rcl-logging>=0, ros2-rclcpp>=0, ros2-rclpy>=0, ros2-rcpputils>=0, ros2-rcutils>=0, ros2-rmw>=0, ros2-rmw-fastrtps>=0, ros2-rmw-implementation>=0, ros2-ros-workspace>=0, ros2-rosidl>=0, ros2-rosidl-defaults>=0, ros2-rosidl-python>=0, ros2-rosidl-runtime-py>=0, ros2-rosidl-typesupport>=0, ros2-rosidl-typesupport-fastrtps>=0, ros2-tracing>=0, tinyxml2>=2
Build dependencies:
ament-cmake>=0, ament-cmake-ros>=0, cmake>=2.6, digest>=20080510, foonathan-memory>=0, g++>=3, gcc>=3, pax, pkg_install>=20110805.12, python36>=3.6<3.7, ros2-python-cmake-module>=0, tnftp>=20130505~ssl
General options:
debug
Produce debugging information for binary programs
c++-compiler alternatives:
g++
Use the GNU C++ compiler
clang++
Use the LLVM C++ compiler
ccache-g++
Use ccache and the GNU C++ compiler
ccache-clang++
Use ccache and the LLVM C++ compiler
c-compiler alternatives:
gcc
Use the GNU C compiler
clang
Use the LLVM C compiler
ccache-gcc
Use ccache and the GNU C compiler
ccache-clang
Use ccache and the LLVM C compiler
python alternatives:
python36
Use python-3.6
python37
Use python-3.7
python38
Use python-3.8
python39
Use python-3.9
python310
Use python-3.10